## python-tenacity 3.0.0

=== requirements.txt ===
six>=1.7.0
futures>=3.0;python_version=='2.7'
monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
python-tenacity (3.0.0-1~cloud0) xenial-newton; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 29 Sep 2016 19:20:02 +0000

python-tenacity (3.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #838893)

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Sep 2016 09:36:15 +0200

## python-tenacity 3.1.1

=== debian/changelog ===
python-tenacity (3.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Oct 2016 12:32:13 +0200

=== debian/control ===
Source: python-tenacity
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-concurrent.futures (>= 3.0),
                     python-monotonic (>= 0.6),
                     python-nose,
                     python-six,
                     python3-monotonic (>= 0.6),
                     python3-nose,
                     python3-six,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-tenacity.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-tenacity.git
Homepage: https://github.com/jd/tenacity

Package: python-tenacity
Architecture: all
Depends: python-concurrent.futures (>= 3.0),
         python-monotonic (>= 0.6),
         python-pbr,
         python-six,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-tenacity-doc,
Description: retry code until it succeeeds - Python 2.7
 Tenacity is a general-purpose retrying library to simplify the task of adding
 retry behavior to just about anything. It originates from a fork of Retrying.
 .
 Features:
  * Generic Decorator API
  * Specify stop condition (i.e. limit by number of attempts)
  * Specify wait condition (i.e. exponential backoff sleeping between attempts)
  * Customize retrying on Exceptions
  * Customize retrying on expected returned result
 .
 This package contains the Python 2.7 module.

Package: python3-tenacity
Architecture: all
Depends: python3-pbr,
         python3-monotonic (>= 0.6),
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-tenacity-doc,
Description: retry code until it succeeeds - Python 3.x
 Tenacity is a general-purpose retrying library to simplify the task of adding
 retry behavior to just about anything. It originates from a fork of Retrying.
 .
 Features:
  * Generic Decorator API
  * Specify stop condition (i.e. limit by number of attempts)
  * Specify wait condition (i.e. exponential backoff sleeping between attempts)
  * Customize retrying on Exceptions
  * Customize retrying on expected returned result
 .
 This package contains the Python 3.x module.

Package: python-tenacity-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: retry code until it succeeeds - doc
 Tenacity is a general-purpose retrying library to simplify the task of adding
 retry behavior to just about anything. It originates from a fork of Retrying.
 .
 Features:
  * Generic Decorator API
  * Specify stop condition (i.e. limit by number of attempts)
  * Specify wait condition (i.e. exponential backoff sleeping between attempts)
  * Customize retrying on Exceptions
  * Customize retrying on expected returned result
 .
 This package contains the documentation.

## python-tenacity 3.3.0

=== debian/changelog ===
python-tenacity (3.3.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 07 Nov 2016 18:00:22 +0000

python-tenacity (3.3.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Nov 2016 09:13:33 -0500

python-tenacity (3.1.1-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 28 Oct 2016 09:19:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-tenacity
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -21,8 +22,8 @@
                      python3-nose,
                      python3-six,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-tenacity.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-tenacity.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
 Homepage: https://github.com/jd/tenacity
 
 Package: python-tenacity

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/jd/tenacity
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers setup.py nosetests ; \
	done
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-tenacity-doc/usr/share/doc/python-tenacity-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-tenacity 4.4.0

=== debian/changelog ===
python-tenacity (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * d/control: Standards-Version raised to 4.1.1
  * Build docs with Python 3 version of Sphinx

 -- Ondřej Nový <onovy@debian.org>  Fri, 03 Nov 2017 11:55:53 +0100

python-tenacity (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Ondřej Kobližek <koblizeko@gmail.com>  Sat, 05 Aug 2017 21:27:52 -0400

python-tenacity (3.1.1-2) unstable; urgency=medium

  * d/control:
    - Maintainer to DPMT
    - Uploaders: add me and Ondřej Nový
    - Build-Depends: openstack-pkg-tools removed
    - Standards-Version raised to 4.0.0
    - add Testsuite autopkgtest-pkg-python
    - Vcs paths updated
  * d/rules: setup for pybuild
  * add upstream changelog
  * d/copyright: add myself

 -- Ondřej Kobližek <koblizeko@gmail.com>  Sat, 05 Aug 2017 15:48:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: python-tenacity
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+           Ondřej Kobližek <koblizeko@gmail.com>,
+           Ondřej Nový <onovy@debian.org>
+Build-Depends: debhelper (>= 10~),
                dh-python,
-               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr,
                python-setuptools,
-               python-sphinx,
+               python3-sphinx,
                python3-all,
                python3-pbr,
                python3-setuptools,
@@ -21,10 +21,11 @@
                      python3-monotonic (>= 0.6),
                      python3-nose,
                      python3-six,
-Standards-Version: 3.9.8
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-tenacity.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tenacity.git
 Homepage: https://github.com/jd/tenacity
+Testsuite: autopkgtest-pkg-python
 
 Package: python-tenacity
 Architecture: all

## python-tenacity 4.8.0

=== requirements.txt ===
six>=1.9.0
futures>=3.0;python_version=='2.7'
monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
python-tenacity (4.8.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Add python{3}-tornado to BD's.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 11:11:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-tenacity
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ondřej Kobližek <koblizeko@gmail.com>,
            Ondřej Nový <onovy@debian.org>
@@ -18,9 +19,11 @@
                      python-monotonic (>= 0.6),
                      python-nose,
                      python-six,
+                     python-tornado,
                      python3-monotonic (>= 0.6),
                      python3-nose,
                      python3-six,
+                     python3-tornado,
 Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-tenacity.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tenacity.git

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export OSLO_PACKAGE_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME = tenacity
export PYBUILD_TEST_ARGS_python2 = --ignore-files '.*async.py'
export PYBUILD_AFTER_INSTALL = rm -r '{destdir}/{install_dir}/tenacity/tests'
export PYBUILD_AFTER_INSTALL_python2 = $(PYBUILD_AFTER_INSTALL) ; rm '{destdir}/{install_dir}/tenacity/async.py'

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-tenacity-doc/usr/share/doc/python-tenacity-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-tenacity 4.12.0

=== requirements.txt ===
six>=1.9.0
futures>=3.0;python_version=='2.7'
monotonic>=0.6;python_version=='2.7'

=== debian/changelog ===
python-tenacity (4.12.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Bump Standards-Version to 4.2.1

 -- Ondřej Nový <onovy@debian.org>  Wed, 05 Sep 2018 10:16:37 +0200

python-tenacity (4.12.0-1) experimental; urgency=medium

  * New upstream release
  * d/p/0001-Remove-privacy-breach-in-doc.patch: Rebase
  * d/p/0002-fix-python3.7-async-reserver-keyword.patch:
    Remove, applied upstream
  * Bump standards version to 4.2.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Aug 2018 13:02:52 +0200

python-tenacity (4.8.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Bump my copyright year

  [ Michal Arbet ]
  * Add 0002-fix-python3.7-async-reserver-keyword.patch
  * Edit PYBUILD_AFTER_INSTALL_python2 in d/rules
  * Edit PYBUILD_TEST_ARGS_python2 in d/rules

  [ Thomas Goirand ]
  * Ran wrap-and-sort -bast.
  * Removed versions of b-depends when satisfied in Stretch.
  * Correctly build sphinx doc with py3.
  * Get out of ugly git-dpm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jul 2018 09:26:16 +0000

python-tenacity (4.8.0-2) unstable; urgency=medium

  * Uploading to unstable
  * d/copyright: Add myself for Debian part

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Feb 2018 10:40:50 +0100

python-tenacity (4.8.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: Set Vcs-* to salsa.debian.org
  * Add python{,3}-tornado to B-D
  * Bump debhelper compat level to 11
  * Standards-Version is 4.1.3 now (no changes)

 -- Ondřej Nový <onovy@debian.org>  Fri, 16 Feb 2018 16:44:18 +0100

=== debian/control ===
Source: python-tenacity
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ondřej Kobližek <koblizeko@gmail.com>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-pbr,
 python-setuptools,
 python-tornado,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
 python3-tornado,
Build-Depends-Indep:
 python-concurrent.futures,
 python-monotonic,
 python-nose,
 python-six,
 python3-monotonic,
 python3-nose,
 python3-six,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tenacity
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tenacity.git
Homepage: https://github.com/jd/tenacity
Testsuite: autopkgtest-pkg-python

Package: python-tenacity
Architecture: all
Depends:
 python-concurrent.futures,
 python-monotonic,
 python-pbr,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-tenacity-doc,
Description: retry code until it succeeeds - Python 2.7
 Tenacity is a general-purpose retrying library to simplify the task of adding
 retry behavior to just about anything. It originates from a fork of Retrying.
 .
 Features:
  * Generic Decorator API
  * Specify stop condition (i.e. limit by number of attempts)
  * Specify wait condition (i.e. exponential backoff sleeping between attempts)
  * Customize retrying on Exceptions
  * Customize retrying on expected returned result
 .
 This package contains the Python 2.7 module.

Package: python-tenacity-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: retry code until it succeeeds - doc
 Tenacity is a general-purpose retrying library to simplify the task of adding
 retry behavior to just about anything. It originates from a fork of Retrying.
 .
 Features:
  * Generic Decorator API
  * Specify stop condition (i.e. limit by number of attempts)
  * Specify wait condition (i.e. exponential backoff sleeping between attempts)
  * Customize retrying on Exceptions
  * Customize retrying on expected returned result
 .
 This package contains the documentation.

Package: python3-tenacity
Architecture: all
Depends:
 python3-monotonic,
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-tenacity-doc,
Description: retry code until it succeeeds - Python 3.x
 Tenacity is a general-purpose retrying library to simplify the task of adding
 retry behavior to just about anything. It originates from a fork of Retrying.
 .
 Features:
  * Generic Decorator API
  * Specify stop condition (i.e. limit by number of attempts)
  * Specify wait condition (i.e. exponential backoff sleeping between attempts)
  * Customize retrying on Exceptions
  * Customize retrying on expected returned result
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export OSLO_PACKAGE_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME = tenacity
export PYBUILD_TEST_ARGS_python2 = --ignore-files '.*asyncio.py'
export PYBUILD_AFTER_INSTALL = rm -r '{destdir}/{install_dir}/tenacity/tests'
export PYBUILD_AFTER_INSTALL_python2 = $(PYBUILD_AFTER_INSTALL) ; rm '{destdir}/{install_dir}/tenacity/_asyncio.py'

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-tenacity-doc/usr/share/doc/python-tenacity-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-tenacity 5.0.3

=== debian/changelog ===
python-tenacity (5.0.3-0ubuntu1) disco; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests directly with pytest.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Feb 2019 09:56:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-tenacity
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -20,26 +21,28 @@
  python3-sphinx,
  python3-tornado,
 Build-Depends-Indep:
- python-concurrent.futures,
- python-monotonic,
+ python-concurrent.futures (>= 3.0),
+ python-monotonic (>= 0.6),
  python-nose,
- python-six,
- python3-monotonic,
+ python-pytest,
+ python-six (>= 1.9.0),
+ python3-monotonic (>= 0.6),
  python3-nose,
- python3-six,
+ python3-pytest,
+ python3-six (>= 1.9.0),
 Standards-Version: 4.2.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tenacity
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-tenacity.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
 Homepage: https://github.com/jd/tenacity
 Testsuite: autopkgtest-pkg-python
 
 Package: python-tenacity
 Architecture: all
 Depends:
- python-concurrent.futures,
- python-monotonic,
+ python-concurrent.futures (>= 3.0),
+ python-monotonic (>= 0.6),
  python-pbr,
- python-six,
+ python-six (>= 1.9.0),
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -79,9 +82,9 @@
 Package: python3-tenacity
 Architecture: all
 Depends:
- python3-monotonic,
+ python3-monotonic (>= 0.6),
  python3-pbr,
- python3-six,
+ python3-six (>= 1.9.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,10 @@
 	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-tenacity-doc/usr/share/doc/python-tenacity-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
+
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(CURDIR) pytest --ignore='tenacity/tests/test_asyncio.py'
+	PYTHONPATH=$(CURDIR) pytest-3
+endif
+

## python-tenacity 5.0.4

=== debian/changelog ===
python-tenacity (5.0.4-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jul 2020 11:58:03 +0000

python-tenacity (5.0.4-2) unstable; urgency=medium

  * d/tests: Add Python module test
  * Add upstream metadata
  * d/control: python-tenacity-doc marked Multi-Arch: foreign
  * d/copyright: Bump my copyright year

 -- Ondřej Kobližek <koblizeko@gmail.com>  Fri, 16 Aug 2019 11:34:41 +0200

python-tenacity (5.0.4-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * d/CHANGELOG: Regenerate for new upstream release
  * Switch from nose to pytest (same as upstream)
  * Drop Python 2 support
  * d/copyright: Bump my copyright year

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 21:35:38 +0200

=== debian/control ===
Source: python-tenacity
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ondřej Kobližek <koblizeko@gmail.com>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
 python3-tornado,
Build-Depends-Indep:
 python3-pytest,
 python3-six,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tenacity
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tenacity.git
Homepage: https://github.com/jd/tenacity
Testsuite: autopkgtest-pkg-python

Package: python-tenacity-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: retry code until it succeeeds - doc
 Tenacity is a general-purpose retrying library to simplify the task of adding
 retry behavior to just about anything. It originates from a fork of Retrying.
 .
 Features:
  * Generic Decorator API
  * Specify stop condition (i.e. limit by number of attempts)
  * Specify wait condition (i.e. exponential backoff sleeping between attempts)
  * Customize retrying on Exceptions
  * Customize retrying on expected returned result
 .
 This package contains the documentation.

Package: python3-tenacity
Architecture: all
Depends:
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-tenacity-doc,
Description: retry code until it succeeeds
 Tenacity is a general-purpose retrying library to simplify the task of adding
 retry behavior to just about anything. It originates from a fork of Retrying.
 .
 Features:
  * Generic Decorator API
  * Specify stop condition (i.e. limit by number of attempts)
  * Specify wait condition (i.e. exponential backoff sleeping between attempts)
  * Customize retrying on Exceptions
  * Customize retrying on expected returned result

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export OSLO_PACKAGE_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME = tenacity
export PYBUILD_TEST_ARGS_python2 = --ignore='tenacity/tests/test_asyncio.py'
export PYBUILD_AFTER_INSTALL = rm -r '{destdir}/{install_dir}/tenacity/tests'
export PYBUILD_AFTER_INSTALL_python2 = $(PYBUILD_AFTER_INSTALL) ; rm '{destdir}/{install_dir}/tenacity/_asyncio.py'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-tenacity-doc/usr/share/doc/python-tenacity-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-tenacity 5.1.1

=== debian/changelog ===
python-tenacity (5.1.1-0ubuntu2) eoan; urgency=medium

  * d/rules: Drop _asyncio.py from py2 module as it has invalid syntax
    for Python 2.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Oct 2019 09:17:14 +0100

python-tenacity (5.1.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Add BD on python{3}-setuptools-scm.
  * d/p/*: Refresh.
  * d/rules: Drop purge of tests folder, no longer installed.
  * d/control: Add missing BD on python3-reno.
  * d/p/disable-reno-docs.patch: Disable use of reno in sphinx docs as
    this only works from within a SCM repository.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:36:46 +0100

python-tenacity (5.0.4-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Jun 2019 14:59:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,71 @@
 Source: python-tenacity
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
  Ondřej Kobližek <koblizeko@gmail.com>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 11),
  dh-python,
+ python-all,
+ python-pbr,
+ python-setuptools,
+ python-setuptools-scm,
+ python-tornado,
  python3-all,
  python3-pbr,
+ python3-reno,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
  python3-tornado,
 Build-Depends-Indep:
+ python-concurrent.futures (>= 3.0),
+ python-monotonic (>= 0.6),
+ python-nose,
+ python-pytest,
+ python-six (>= 1.9.0),
+ python3-monotonic (>= 0.6),
+ python3-nose,
  python3-pytest,
- python3-six,
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tenacity
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-tenacity.git
+ python3-six (>= 1.9.0),
+Standards-Version: 4.2.1
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
 Homepage: https://github.com/jd/tenacity
 Testsuite: autopkgtest-pkg-python
+
+Package: python-tenacity
+Architecture: all
+Depends:
+ python-concurrent.futures (>= 3.0),
+ python-monotonic (>= 0.6),
+ python-pbr,
+ python-six (>= 1.9.0),
+ ${misc:Depends},
+ ${python:Depends},
+Suggests:
+ python-tenacity-doc,
+Description: retry code until it succeeeds - Python 2.7
+ Tenacity is a general-purpose retrying library to simplify the task of adding
+ retry behavior to just about anything. It originates from a fork of Retrying.
+ .
+ Features:
+  * Generic Decorator API
+  * Specify stop condition (i.e. limit by number of attempts)
+  * Specify wait condition (i.e. exponential backoff sleeping between attempts)
+  * Customize retrying on Exceptions
+  * Customize retrying on expected returned result
+ .
+ This package contains the Python 2.7 module.
 
 Package: python-tenacity-doc
 Section: doc
 Architecture: all
-Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
@@ -47,13 +85,14 @@
 Package: python3-tenacity
 Architecture: all
 Depends:
+ python3-monotonic (>= 0.6),
  python3-pbr,
- python3-six,
+ python3-six (>= 1.9.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
  python-tenacity-doc,
-Description: retry code until it succeeeds
+Description: retry code until it succeeeds - Python 3.x
  Tenacity is a general-purpose retrying library to simplify the task of adding
  retry behavior to just about anything. It originates from a fork of Retrying.
  .
@@ -63,3 +102,5 @@
   * Specify wait condition (i.e. exponential backoff sleeping between attempts)
   * Customize retrying on Exceptions
   * Customize retrying on expected returned result
+ .
+ This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export OSLO_PACKAGE_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME = tenacity
export PYBUILD_TEST_ARGS_python2 = --ignore-files '.*asyncio.py'
export PYBUILD_AFTER_INSTALL_python2 = rm '{destdir}/{install_dir}/tenacity/_asyncio.py'

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-tenacity-doc/usr/share/doc/python-tenacity-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pytest --ignore='tenacity/tests/test_asyncio.py'
	PYTHONPATH=$(CURDIR) pytest-3
endif

## python-tenacity 6.0.0

=== debian/changelog ===
python-tenacity (6.0.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:53:29 +0000

python-tenacity (6.0.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Dec 2019 17:33:37 -0500

python-tenacity (5.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Use pybuild to run tests again.
  * Drop OSLO_PACKAGE_VERSION env.
  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Sun, 20 Oct 2019 21:32:01 +0200

python-tenacity (5.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Rebased 0001-Remove-privacy-breach-in-doc.patch.
  * Add python3-setuptools-scm as build-depends.
  * Add override_dh_auto_test.
  * Removed PYBUILD_AFTER_INSTALL.
  * Add remove-reno-sphinx-extension.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2019 13:20:10 +0200

=== debian/control ===
Source: python-tenacity
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ondřej Kobližek <koblizeko@gmail.com>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-tornado,
Build-Depends-Indep:
 python3-pytest,
 python3-six,
Standards-Version: 4.4.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
Homepage: https://github.com/jd/tenacity
Testsuite: autopkgtest-pkg-python

Package: python-tenacity-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: retry code until it succeeeds - doc
 Tenacity is a general-purpose retrying library to simplify the task of adding
 retry behavior to just about anything. It originates from a fork of Retrying.
 .
 Features:
  * Generic Decorator API
  * Specify stop condition (i.e. limit by number of attempts)
  * Specify wait condition (i.e. exponential backoff sleeping between attempts)
  * Customize retrying on Exceptions
  * Customize retrying on expected returned result
 .
 This package contains the documentation.

Package: python3-tenacity
Architecture: all
Depends:
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-tenacity-doc,
Description: retry code until it succeeeds
 Tenacity is a general-purpose retrying library to simplify the task of adding
 retry behavior to just about anything. It originates from a fork of Retrying.
 .
 Features:
  * Generic Decorator API
  * Specify stop condition (i.e. limit by number of attempts)
  * Specify wait condition (i.e. exponential backoff sleeping between attempts)
  * Customize retrying on Exceptions
  * Customize retrying on expected returned result

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = tenacity
export PYBUILD_BEFORE_TEST = cp -r tenacity/tests '{build_dir}/tenacity'
export PYBUILD_AFTER_TEST = rm -r '{build_dir}/tenacity/tests'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-tenacity-doc/usr/share/doc/python-tenacity-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/tests/control ===
Depends:
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-tenacity,
 python3-tornado,
Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py -Wd -m pytest -v -x 2>&1; done

## python-tenacity 6.2.0

=== debian/changelog ===
python-tenacity (6.2.0-4) unstable; urgency=medium

  * Bump debhelper compat level to 13 as debhelper is already in
    buster-backports.
    Please don't uselessly lower debhelper compat level unless you have a real
    reason to do so.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 14:09:03 +0200

python-tenacity (6.2.0-3) unstable; urgency=medium

  * Downgrade debhelper to 12, to ease backports. Please don't uselessly bump
    it unless you have a real reason to do so.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2020 19:33:16 +0200

python-tenacity (6.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2020 19:21:52 +0200

python-tenacity (6.2.0-1) experimental; urgency=medium

  * New upstream release
  * d/control:
    - Bump debhelper version to 13
    - Update mailing-list address in Maintainer
    - Add python3-typing-extensions to B-D
    - Add python3-typeguard to B-D-I

 -- Ondřej Kobližek <kobla@debian.org>  Fri, 15 May 2020 21:05:08 +0200

python-tenacity (6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0.

 -- Ondřej Nový <onovy@debian.org>  Mon, 16 Mar 2020 14:47:12 +0100

python-tenacity (6.0.0-1) experimental; urgency=medium

  * d/control: Add Rules-Requires-Root.
  * Change my email address.
  * New upstream release.
  * Rebase patches.

 -- Ondřej Kobližek <kobla@debian.org>  Tue, 19 Nov 2019 15:04:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: python-tenacity
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
- Ondřej Kobližek <koblizeko@gmail.com>,
+ Ondřej Kobližek <kobla@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-pbr,
@@ -17,14 +16,17 @@
  python3-setuptools-scm,
  python3-sphinx,
  python3-tornado,
+ python3-typing-extensions,
 Build-Depends-Indep:
  python3-pytest,
  python3-six,
-Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tenacity
+ python3-typeguard,
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tenacity
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-tenacity.git
 Homepage: https://github.com/jd/tenacity
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-tenacity-doc
 Section: doc

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,6 @@
  python3-setuptools,
  python3-tenacity,
  python3-tornado,
+ python3-typing-extensions,
+ python3-typeguard,
 Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py -Wd -m pytest -v -x 2>&1; done

## python-tenacity 6.3.1

=== debian/changelog ===
python-tenacity (6.3.1-3) unstable; urgency=medium

  * debian/control
    - use proper team name and email address

 -- Sandro Tosi <morph@debian.org>  Tue, 31 Aug 2021 00:46:57 -0400

python-tenacity (6.3.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Bump my copyright year.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Thomas Goirand ]
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 14:53:07 +0200

python-tenacity (6.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Add a debian/gbp.conf.
  * Fixed VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 11:41:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-tenacity
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -22,8 +22,8 @@
  python3-six,
  python3-typeguard,
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tenacity
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-tenacity.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tenacity
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-tenacity.git
 Homepage: https://github.com/jd/tenacity
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## python-tenacity 8.2.1

=== debian/changelog ===
python-tenacity (8.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Rebased 0001-Remove-privacy-breach-in-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Feb 2023 13:27:19 +0100

python-tenacity (8.0.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 8.0.1
  * Refresh patches
  * d/rules: Fix location of tests for dh_auto_test

 -- Samuel Henrique <samueloph@debian.org>  Sun, 06 Feb 2022 23:08:02 +0000

## python-tenacity 8.2.3

=== debian/changelog ===
python-tenacity (8.2.3-2) unstable; urgency=medium

  * Team Upload.
  * Release to unstable to unblock python3-typeguard migration.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Jan 2024 12:41:23 +0100

python-tenacity (8.2.3-1) experimental; urgency=medium

  * Team Upload.
  * New upstream version 8.2.3
  * Remove old extraneous dependencies:
    * python3-pbr (Closes: #1012342)
    * python3-six (Closes: #1039447)
  * Depends on new python3-typeguard (>= 3.0)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Jan 2024 23:39:09 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-pbr,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
@@ -19,8 +18,7 @@
  python3-typing-extensions,
 Build-Depends-Indep:
  python3-pytest,
- python3-six,
- python3-typeguard,
+ python3-typeguard (>= 3.0),
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tenacity
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tenacity.git
@@ -51,8 +49,6 @@
 Package: python3-tenacity
 Architecture: all
 Depends:
- python3-pbr,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,5 @@
  python3-tenacity,
  python3-tornado,
  python3-typing-extensions,
- python3-typeguard,
+ python3-typeguard (>= 3.0),
 Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py -Wd -m pytest -v -x 2>&1; done

## python-tenacity 8.3.0

=== debian/changelog ===
python-tenacity (8.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Colin Watson ]
  * New upstream release.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 May 2024 19:14:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
  Ondřej Kobližek <kobla@debian.org>,
- Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,

## python-tenacity 8.4.1

=== debian/changelog ===
python-tenacity (8.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Jun 2024 10:03:10 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python3-setuptools-scm,
  python3-sphinx,
  python3-tornado,
+ python3-trio,
  python3-typing-extensions,
 Build-Depends-Indep:
  python3-pytest,

## python-tenacity 8.4.2

=== debian/changelog ===
python-tenacity (8.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Jun 2024 09:24:47 +0100

## python-tenacity 8.4.2+really8.4.1

=== debian/changelog ===
python-tenacity (8.4.2+really8.4.1-2) unstable; urgency=medium

  * Team upload.
  * Simplify a debhelper override, avoiding use of the deprecated
    python_distutils buildsystem.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Dec 2024 13:07:28 +0000

python-tenacity (8.4.2+really8.4.1-1) unstable; urgency=medium

  * Team upload.
  * Revert to 8.4.1, since 8.4.2 breaks several OpenStack packages (closes:
    #1074690, #1074730).

 -- Colin Watson <cjwatson@debian.org>  Sun, 14 Jul 2024 12:35:48 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Build-Depends-Indep:
  python3-pytest,
  python3-typeguard (>= 3.0),
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tenacity
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tenacity.git
 Homepage: https://github.com/jd/tenacity

## python-tenacity 8.5.0

=== debian/changelog ===
python-tenacity (8.5.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Wed, 21 Aug 2024 13:35:51 +0000

python-tenacity (8.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2024 10:53:00 +0100

## python-tenacity 9.0.0

=== debian/changelog ===
python-tenacity (9.0.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 15:48:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-tenacity
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME = tenacity
-export PYBUILD_BEFORE_TEST = cp -r tenacity/tests '{build_dir}/tenacity'
+export PYBUILD_BEFORE_TEST = cp -r tests '{build_dir}/tenacity'
 export PYBUILD_AFTER_TEST = rm -r '{build_dir}/tenacity/tests'
 
 %:

## python-tenacity 9.1.2

=== debian/changelog ===
python-tenacity (9.1.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2025 11:24:16 +0200

python-tenacity (9.1.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 09:18:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,7 @@
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/debian/CHANGELOG
 
-override_dh_sphinxdoc:
+execute_before_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-tenacity-doc/usr/share/doc/python-tenacity-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  python3-setuptools,
  python3-tenacity,
  python3-tornado,
+ python3-trio,
  python3-typing-extensions,
  python3-typeguard (>= 3.0),
 Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py -Wd -m pytest -v -x 2>&1; done

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tenacity/tenacity-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-tenacity 9.1.4

=== debian/changelog ===
python-tenacity (9.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Removed patch applied upstream:
    - py3.14_support-git_eed7d785e667df145c0e3eeddff59af64e4e860d.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 00:01:20 +0100

python-tenacity (9.1.2-3) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * drop "Rules-Requires-Root: no": it is now the default
  * bump Standards-Version to 4.7.3
  * drop "Priority: optional": it is now implicit
  * use dh-sequence-python3
  * apply Multi-Arch: hint
  * add debian/salsa-ci.yml

  [ Joe Nahmias ]
  * fix asyncio for py3.14 (Closes: #1123321)

 -- Joseph Nahmias <jello@debian.org>  Thu, 25 Dec 2025 19:02:28 -0500
